package com.mortals.xhx.module.platform.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:PlatformListener
* date: 2021-9-3 10:13:58
*/
public class PlatformListenerEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630635238083L;


    /**
    * 业务平台Id
    */
    private Long platformId;

    /**
    * 业务生成，平台内唯一
    */
    private String platformSn;

    /**
    * 监听器类型编码，lcqd，rwcj，rwjs等
    */
    private String typeCode;

    /**
    * 监听器类型编码，流程启动，任务创建，任务结束等
    */
    private String typeName;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户名称
    */
    private String createUserName;

    public PlatformListenerEntity(){

    }
    /**
    * 获取 业务平台Id
    * @return platformId
    */
    public Long getPlatformId() {
        return this.platformId;
    }
    /**
    * 设置 业务平台Id
    * @param platformId
    */
    public void setPlatformId(Long platformId) {
        this.platformId = platformId;
    }
    /**
    * 获取 业务生成，平台内唯一
    * @return platformSn
    */
    public String getPlatformSn() {
        return this.platformSn;
    }
    /**
    * 设置 业务生成，平台内唯一
    * @param platformSn
    */
    public void setPlatformSn(String platformSn) {
        this.platformSn = platformSn;
    }
    /**
    * 获取 监听器类型编码，lcqd，rwcj，rwjs等
    * @return typeCode
    */
    public String getTypeCode() {
        return this.typeCode;
    }
    /**
    * 设置 监听器类型编码，lcqd，rwcj，rwjs等
    * @param typeCode
    */
    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }
    /**
    * 获取 监听器类型编码，流程启动，任务创建，任务结束等
    * @return typeName
    */
    public String getTypeName() {
        return this.typeName;
    }
    /**
    * 设置 监听器类型编码，流程启动，任务创建，任务结束等
    * @param typeName
    */
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof PlatformListenerEntity) {
            PlatformListenerEntity tmp = (PlatformListenerEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",platformId:").append(getPlatformId())
                .append(",platformSn:").append(getPlatformSn())
                .append(",typeCode:").append(getTypeCode())
                .append(",typeName:").append(getTypeName())
                .append(",createTime:").append(getCreateTime())
                .append(",createUserName:").append(getCreateUserName())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.platformId = null;

         this.platformSn = null;

         this.typeCode = null;

         this.typeName = null;

         this.createTime = null;

         this.createUserName = null;

    }
}